import { GGcommand } from "../../GCC"
import { formatObject, notify } from "../../other/helpers";
import { BlockPermutation, BlockStates } from "@minecraft/server";

export class cmd_BlockState extends GGcommand {
    static name = ["blockState", "bs"];
    static arguments = ["<block_name>"];
    static description = "Shows the available block states for the given block,\nExample:\n    !blockState oak_stairs";

    static execute(args=[], _) {
        let states = [];
        const blockPerm = BlockPermutation.resolve(args[0]);
        const blockStates = blockPerm.getAllStates();

        for (const stateName of Object.keys(blockStates)) {
            const blockState = BlockStates.get(stateName);
            states.push(blockState);
        }

        let stateString = `Valid Block States for §9${args[0]}§r:`;
        for (const state of states) {
            stateString += "\n";
            stateString += "§2" + state.id + "§r: ";
            stateString += state.validValues.join(" / ");
        }

        stateString += "\n\n§9Default§r Block State:";
        stateString += formatObject(blockStates);
        notify(stateString);
    }
}