import { GGcommand } from "../../GCC"
import { getBRUSH } from "../../main";

export class cmd_Mask extends GGcommand {
    static name = ["mask"];
    static arguments = ["<mask_block>", "<none> / <mask_block_state:array>{optional} +"];
    static description = `Change the mask being used on the brush. When can assign none to remove any existing mask.\nExample:\n    !mask wood\n    !mask wood ["wood_type"="acacia","stripped_bit"=true] stone [] orange_concrete []\n    !mask none`;

    static execute(args=[], _) {
        let brushArgs = args;
        let maskStates = [];

        let maskArr = brushArgs;
        if (maskArr != "none") {
            for (let i = 0; i < maskArr.length; i += 2) {
                let pair = maskArr.slice(i, i + 2);
                if (pair.length < 2 || pair[1] == "" || pair[1] == "[]") 
                    pair[1] = "defaultState";
                
                maskStates.push({ block: pair[0], blockData: pair[1] });
            }
        }
        else
            maskStates = null;

        const brush = getBRUSH();

        brush.setMask(maskStates);
    }
}