import { Vector } from "@minecraft/server";
import { GGcommand } from "../../GCC"
import { SELECTION } from "../../main";

export class cmd_Pos extends GGcommand {
    static name = ["position", "pos", "p"];
    static arguments = ["<1 / 2>"];
    static description = "Set the position for the selection.\nExample:\n    !pos 1";

    static execute(args=[], sender) {
        const value = args[0];
        if (value != "1" && value != "2")
            throw new Error(`"${value}" is not a valid value. autoKillItems accepts 1 or 2`, "err")


        const targetPos = new Vector(Math.floor(sender.location.x), Math.floor(sender.location.y), Math.floor(sender.location.z));
        SELECTION.setPos(sender, value, targetPos);
    }
}