import { world, system, DimensionTypes } from "@minecraft/server";
import { GGcommand } from "../../GCC";
import { convertToActualType, notify } from "../../other/helpers";

export class cmd_AllowBuildClipping extends GGcommand {
    static name = ["allowBuildClipping"];
    static arguments = ["<enabled: Boolean>"];
    static description = "When true, the brush will place blocks, even if it buries / clips with the player.";

    static execute(args=[], _) {
        const value = convertToActualType(args[0]); 
        if (typeof value !== "boolean") {
            notify(`"${value}" is not a valid value. allowBuildClipping accepts a boolean (true / false)`, "err");
            return;
        }

        notify("Build Clipping is now " + (value ? "§aenabled§r" : "§cdisabled§r"));
        world.setDynamicProperty("_allowBuildClipping", value);
    }
}