import { world, system, DimensionTypes } from "@minecraft/server";
import { GGcommand } from "../../GCC";
import { convertToActualType, notify } from "../../other/helpers";


export class cmd_AutoKillItems extends GGcommand {
    static name = ["autoKillItems"];
    static arguments = ["<enabled: Boolean>"];
    static description = "Kill items automatically (useful when working with sand)";

    static execute(args=[], _) {
        const value = convertToActualType(args[0]); 
        if (typeof value !== "boolean") {
            notify(`"${value}" is not a valid value. autoKillItems accepts a boolean (true / false)`, "err");
            return;
        }

        notify("Auto Kill Items is now " + (value ? "§aenabled§r" : "§cdisabled§r"));
        world.setDynamicProperty("_autoKillItems", value);
        // removes existing items
        if (value) {
            system.run(() => {
                for (let dim of DimensionTypes.getAll()) {
                    const entities = world.getDimension(dim.typeId).getEntities();
                    for (let e of entities) {
                        if (e.typeId === "minecraft:item") e.kill();
                    }
                }
            });
        }
    }
}